com.amazonaws.services.workspaces.model

## Class DescribeWorkspacesConnectionStatusRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.workspaces.model.DescribeWorkspacesConnectionStatusRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class DescribeWorkspacesConnectionStatusRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`DescribeWorkspacesConnectionStatusRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeWorkspacesConnectionStatusRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()` The next token of the request.
`List<String>` `getWorkspaceIds()` An array of strings that contain the identifiers of the WorkSpaces.
`int` `hashCode()`
`void` `setNextToken(String nextToken)` The next token of the request.
`void` `setWorkspaceIds(Collection<String> workspaceIds)` An array of strings that contain the identifiers of the WorkSpaces.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeWorkspacesConnectionStatusRequest` `withNextToken(String nextToken)` The next token of the request.
`DescribeWorkspacesConnectionStatusRequest` `withWorkspaceIds(Collection<String> workspaceIds)` An array of strings that contain the identifiers of the WorkSpaces.
`DescribeWorkspacesConnectionStatusRequest` `withWorkspaceIds(String... workspaceIds)` An array of strings that contain the identifiers of the WorkSpaces.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DescribeWorkspacesConnectionStatusRequest

    public DescribeWorkspacesConnectionStatusRequest()

### Method Detail

#### getWorkspaceIds

    public List<String> getWorkspaceIds()

An array of strings that contain the identifiers of the WorkSpaces.

Returns:
  An array of strings that contain the identifiers of the WorkSpaces.

#### setWorkspaceIds

    public void setWorkspaceIds(Collection<String> workspaceIds)

An array of strings that contain the identifiers of the WorkSpaces.

Parameters:
  `workspaceIds` - An array of strings that contain the identifiers of the WorkSpaces.

#### withWorkspaceIds

    public DescribeWorkspacesConnectionStatusRequest withWorkspaceIds(String... workspaceIds)

An array of strings that contain the identifiers of the WorkSpaces.

NOTE: This method appends the values to the existing list (if any). Use `setWorkspaceIds(java.util.Collection)` or `withWorkspaceIds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `workspaceIds` - An array of strings that contain the identifiers of the WorkSpaces.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withWorkspaceIds

    public DescribeWorkspacesConnectionStatusRequest withWorkspaceIds(Collection<String> workspaceIds)

An array of strings that contain the identifiers of the WorkSpaces.

Parameters:
  `workspaceIds` - An array of strings that contain the identifiers of the WorkSpaces.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

The next token of the request.

Parameters:
  `nextToken` - The next token of the request.

#### getNextToken

    public String getNextToken()

The next token of the request.

Returns:
  The next token of the request.

#### withNextToken

    public DescribeWorkspacesConnectionStatusRequest withNextToken(String nextToken)

The next token of the request.

Parameters:
  `nextToken` - The next token of the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DescribeWorkspacesConnectionStatusRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`